package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesCheckErrorLog;
import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/29 13:24
 **/
public interface ICheckErrorLogService {
    /**
     * 点检报错记录
     * @param checkErrorLog 点检报错记录信息
     * @param message 报错信息
     * @param userInfo 操作人
     */
    @ApiOperation(value = "点检报错记录", notes = "点检报错记录")
    void insertCheckErrorLog(MesCheckErrorLog checkErrorLog, String message, String userInfo);
}
