package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesProdPackExt;
import io.swagger.annotations.ApiOperation;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019\11\4 10:38
 * @Modify:
 **/
public interface IProdPackExtService {

    /**
     * 根据物料号或生产类型获取产品包装关系
     * @param organizeCode
     * @param partNo
     * @param pptCode
     * @return
     */
    @ApiOperation(value = "根据物料号或生产类型获取产品包装关系", notes = "根据物料号或生产类型获取产品包装关系")
    MesProdPackExt getProdPackExt(String organizeCode, String partNo, String pptCode);
}
