package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/29 13:24
 **/
public interface IWorkOrderStartService {
    /**
     * 工单启动后方法执行
     *
     * @param mesWorkOrderExt 工单
     * @param userInfo 操作人
     * @return {@link ResultBean}
     */
    @ApiOperation(value = "工单启动后方法执行", notes = "工单启动后方法执行")
    void doGenCheckOrder(MesWorkOrderExt mesWorkOrderExt, String userInfo);
}
