package cn.estsh.i3plus.ext.mes.pcn.api.base.bu;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesFirstOrderDetail;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/15 9:31 上午
 * @Description:
 **/
public interface IBuFirstOrderService {

    /**
     * 检验条码
     * @param serialNumber
     * @param orderNo
     * @param workOrderNo
     * @param organizeCode
     * @param modifyUser
     * @return
     */
    void doCheckSerialNumber(String serialNumber, String orderNo, String workOrderNo, String organizeCode, String modifyUser);

    /**
     * 查询首检单明细数据
     * @param orderNo
     * @param organizeCode
     * @return
     */
    List<MesFirstOrderDetail> findMesFirstOrderDetail(String orderNo, String organizeCode);

    /**
     * 修改首检明细信息
     * @param mesFirstOrderDetail
     * @param userName
     * @return
     */
    String updateMesFirstOrderDetail(MesFirstOrderDetail mesFirstOrderDetail, String userName);
}
