package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesSubassemblyRemadeRecord;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISubassemblyRemadeRecordService {

    /**
     * 根据扫描条码,生产工单号查询组件返工条码信息
     * @param organizeCode 组织代码
     * @param sn 扫描条码
     * @param workOrderNo 生产工单号
     * @return 组件返工条码信息
     */
    @ApiOperation(value = "根据扫描条码,生产工单号查询组件返工条码信息", notes = "根据扫描条码,生产工单号查询组件返工条码信息")
    MesSubassemblyRemadeRecord getSubassemblyRemadeRecordBySnAndWorkOrderNo(String organizeCode, String sn, String workOrderNo);

}
