package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import io.swagger.annotations.ApiOperation;

import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description: 根据编码规则校验编码是否有效
 **/
public interface ISxNumberRuleCheckAttributeService {

    /**
     * 根据编码规则校验编码是否有效
     * @param map 属性
     * @return 校验结果
     */
    @ApiOperation(value = "根据编码规则校验编码是否有效", notes = "根据编码规则校验编码是否有效")
    Map<String, Object> doCheckNumberRule(Map<String, Object> map);

}
