package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import io.swagger.annotations.ApiOperation;

import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description: 编码规则封装入参属性
 **/
public interface ISxNumberRulePackAttributeService {

    /**
     * 封装封装生成条码模型
     * @param map 属性
     * @return 生成条码模型
     */
    @ApiOperation(value = "封装封装生成条码模型", notes = "封装封装生成条码模型")
    GenSerialNoModel doPackGenSerialNoModel(Map<String, Object> map);

}
