package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxPrintTemplateModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @describle 打印模板策略接口
 * @date 2020/6/22 17:46
 * @desc
 */
public interface ISxPrintTemplateMethodService {

    /**
     * 根据打印模板配置的方法获取打印模板数据
     *
     * @param printModel     打印模板MODEL
     * @return 对象Map存的是打印参数集合
     */
    @ApiOperation("根据实体获取不同策略封装打印模板数据")
    List<Map<String, Object>> exec(SxPrintTemplateModel printModel);

}
