package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxSubassemblyRemadeModel;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISxSubassemblyRemadeService {

    /**
     * 组件返工查询
     * @param model 查询信息
     * @return 组件返工数据
     */
    @ApiOperation(value = "组件返工查询", notes = "组件返工查询")
    SxSubassemblyRemadeModel querySubassemblyRemadeData(SxSubassemblyRemadeModel model);

    /**
     * 组件返工重置
     * @param model 查询信息
     * @return 组件返工数据
     */
    @ApiOperation(value = "组件返工重置", notes = "组件返工重置")
    SxSubassemblyRemadeModel resetSubassemblyRemadeData(SxSubassemblyRemadeModel model);

    /**
     * 组件返工扫描
     * @param model 查询信息
     * @return 组件返工数据
     */
    @ApiOperation(value = "组件返工扫描", notes = "组件返工扫描")
    SxSubassemblyRemadeModel doScanSubassemblyRemadeSn(SxSubassemblyRemadeModel model);

    /**
     * 修改列表条码
     * @param model 查询信息
     * @return 组件返工数据
     */
    @ApiOperation(value = "修改列表条码", notes = "修改列表条码")
    SxSubassemblyRemadeModel updateSubassemblyRemadeSn(SxSubassemblyRemadeModel model);

    /**
     * 提交列表条码
     * @param model 查询信息
     * @return 组件返工数据
     */
    @ApiOperation(value = "提交列表条码", notes = "提交列表条码")
    SxSubassemblyRemadeModel insertSubassemblyRemadeSn(SxSubassemblyRemadeModel model);
}
