package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkCellPrintRecord;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019/11/12 14:42
 * @Modify:
 **/
public interface IWorkCellPrintRecordService {

    /**
     * 插入工位打印记录表(新事务，不回滚)
     *
     * @param workCellPrintRecord 绑定记录拓展
     */
    @ApiOperation(value = "插入工位打印记录表(新事务，不回滚)", notes = "插入工位打印记录表(新事务，不回滚)")
    @Transactional(propagation = Propagation.REQUIRES_NEW, noRollbackFor = {ImppBusiException.class, Exception.class})
    void insertWorkCellPrintRecordNoRollback(MesWorkCellPrintRecord workCellPrintRecord);

}
