package cn.estsh.i3plus.ext.mes.pcn.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesUnbindProduceSn;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: xinwang.yi
 * @CreateDate: 2023/08/04 15:06 下午
 * @Description:
 **/
public interface ISxBuWorkOrderExtService {

    /**
     * 生产工单状态批量调整
     *
     * @param workOrderStatus 状态
     * @param orderNoList     工单号
     */
    void updateWorkOrderStatus(Integer workOrderStatus, List<String> orderNoList);

    /**
     * 解绑条码查询
     *
     * @param produceSn 检索条件
     * @param pager     分页对象
     */
    ListPager<MesUnbindProduceSn> queryMesUnbindSnByPager(MesUnbindProduceSn produceSn, Pager pager);

}
