package cn.estsh.i3plus.ext.mes.pcn.api.busi.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpQmsRepirTaskModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/13 9:27
 **/
public interface IEpRepairTaskService {

    /**
     * EP-获取维修作业单信息数据
     * @param model 查询条件
     * @param partNoList 物料编码集合
     * @return 维修作业单信息数据
     */
    @ApiOperation(value = "EP-获取维修作业单信息数据", notes = "EP-获取维修作业单信息数据")
    List<EpQmsRepirTaskModel> queryEpQmsRepairTaskList(EpQmsRepirTaskModel model, List<String> partNoList);
}
