package cn.estsh.i3plus.ext.mes.pcn.api.busi.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExtBindSn;
import io.swagger.annotations.ApiOperation;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/13 9:27
 **/
public interface IEpWorkOrderExtBindSnService {

    /**
     * 根据工单号获取生产工单条码绑定信息
     * @param organizeCode 组织代码
     * @param workOrderNo  工单号
     * @return
     */
    @ApiOperation(value = "根据工单号获取生产工单条码绑定信息", notes = "根据工单号获取生产工单条码绑定信息")
    MesWorkOrderExtBindSn getWorkOrderExtBindSnByOrderNo(String organizeCode, String workOrderNo);

}
