package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesEsopExt;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.EsopExtModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IEsopExtDao {

    /**
     * 查询SOP数量
     * @param esopExt SOP信息
     * @return 数量
     */
    int queryEsopByPagerCount(MesEsopExt esopExt);

    /**
     * 查询SOP信息集合
     * @param esopExt 查询条件
     * @param pager 分页条件
     * @return SOP信息集合
     */
    List<EsopExtModel> queryEsopByPager(MesEsopExt esopExt, Pager pager);
}
