package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesOrderJobModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/22 17:33
 * @Description:
 **/
public interface IOrderJobDao {

    /**
     * 按条件查找创建、点检中的单据作业
     * @param orderJob
     * @return
     */
    List<MesOrderJobModel> queryMesOrderJob(MesOrderJobModel orderJob);

    /**
     * 按条件分页查找创建、点检中的单据作业
     * @param orderJob
     * @return
     */
    List<MesOrderJobModel> queryMesOrderJob(MesOrderJobModel orderJob,Pager pager);

    /**
     * 按条件查找创建、点检中的单据作业分页数量
     * @param orderJob
     * @return
     */
    int queryMesOrderJobCount(MesOrderJobModel orderJob);
}
