package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SnAndPackageNoCorrelationModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IPackageExtDao {

    /**
     * 根据工单号查询产品条码跟包装条码的关联关系集合
     * @param organizeCode 组织代码
     * @param orderNo 工单号
     * @return
     */
    @ApiOperation(value = "根据工单号查询产品条码跟包装条码的关联关系集合", notes = "根据工单号查询产品条码跟包装条码的关联关系集合")
    List<SnAndPackageNoCorrelationModel> getSnAndPackCorrelationListByOrderNo(String organizeCode, String orderNo);

}
