package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.bu.oqc;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.bu.IBuQmsOqcManageService;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu.SxBuOqcDataModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @Description 出货检验 主数据 组件 实现
 * @author wangjie
 * @version 1.0
 * @date 2021/1/13 9:28
 **/
@Slf4j
@Service
public class BuQmsOqcByZjManageService implements IBuQmsOqcManageService {

    @Override
    public SxBuOqcDataModel exec(Map<String, Object> params) {

        return new BuQmsOqcByZjManageWatchProxy(new BuQmsOqcByZjManageProxy(new BuQmsOqcByZjExecBusiService())).exec(params);

    }

}
