package cn.estsh.i3plus.ext.mes.pcn.icloud.sdk;

import cn.estsh.i3plus.ext.mes.pcn.icloud.sdkfallback.IMesPcnCommonFallbackFactory;
import cn.estsh.i3plus.platform.common.util.MesPcnConstWords;
import cn.estsh.impp.framework.base.service.ICommonService;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @Description : 通用微服务
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-04-26 11:06
 * @Modify:
 **/
@FeignClient(name = "i3mes-pcn", //对应配置文件中的spring.application.name
        path = MesPcnConstWords.BASE_CONTROLLER_PATH + "/common",
        fallbackFactory = IMesPcnCommonFallbackFactory.class
)
public interface IMesPcnCommonCloud extends ICommonService {
}
