package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EMPLOYEE_SKILLS_MANAGEMENT")
@Api("员工技能管理")
public class MesEmployeeSkillsManagement extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5687371379739353953L;

    @Column(name = "EMPLOYEE_CODE")
    @ApiParam(value = "员工代码")
    private String employeeCode;

    @Column(name = "EMPLOYEE_NAME")
    @ApiParam(value = "员工名称")
    private String employeeName;

    @Column(name = "EMPLOYEE_NATURE_CODE")
    @ApiParam(value = "员工性质代码")
    private String employeeNatureCode;

    @Column(name = "SKILL_LEVEL")
    @ApiParam(value = "技能水平(技能管理基准中维护的技能水平A B C D)")
    private String skillLevel;

}
