package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: xiangming.liao
 * @Date: 2021/01/14 20:03
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PROJECT_SORT")
@Api("MES_质量巡检项目分类")
public class MesProjectSort extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7654475809123434963L;

    @Column(name = "PROJECT_SORT_NO")
    @ApiParam(value = "项目分类代码")
    private String projectSortNo;

    @Column(name = "PROJECT_SORT_NAME")
    @ApiParam(value = "项目分类名称")
    public String projectSortName;
}
