package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:23
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SPE_PARAM_DETAIL", indexes = {
        @Index(columnList = "ORDER_NO")
})
@Api("MES_特殊工艺参数")
public class MesSpeParamDetail extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8519512204610306744L;


    @Column(name = "ORDER_NO")
    @ApiParam("工单号")
    private String orderNo;

//    @Column(name = "PARAM_NO")
//    @ApiParam(value = "参数编号")
//    public String paramNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("条码")
    private String serialNumber;

    @Column(name = "paramGroup")
    @ApiParam("参数组")
    private String paramGroup;


}
