package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:23
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SPE_PARAM_RESULT")
@Api("MES_特殊参数结果")
public class MesSpeParamResult extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4191464811749995576L;


    @Column(name = "RESULT1")
    @ApiParam("结果1")
    private String result1;

    @Column(name = "RESULT2")
    @ApiParam("结果2")
    private String result2;

    @Column(name = "RESULT3")
    @ApiParam("结果3")
    private String result3;

    @Column(name = "RESULT4")
    @ApiParam("结果4")
    private String result4;

    @Column(name = "RESULT5")
    @ApiParam("结果5")
    private String result5;

    @Column(name = "RESULT6")
    @ApiParam("结果6")
    private String result6;

    @Column(name = "RESULT7")
    @ApiParam("结果7")
    private String result7;

    @Column(name = "RESULT8")
    @ApiParam("结果8")
    private String result8;

    @Column(name = "RESULT9")
    @ApiParam("结果9")
    private String result9;

    @Column(name = "RESULT10")
    @ApiParam("结果10")
    private String result10;


}
