package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.util.List;

/**
 * 文件描述
 *
 * @author xiangming.liao
 * @date 2021年03月30日 16:48
 */
@Data
@ApiModel("BOM生效model")
public class BomTakeEffectModel {
    @ApiParam("WmsBomTotal集合")
    private List<WmsBomTotalModel> wmsBomTotalModels;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("用户名")
    private String userInfo;
}
