package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/26 14:05
 **/
@Data
@Api("包装报工信息")
public class ContainerJobBooking implements Serializable {
    private static final long serialVersionUID = -2764664518874603089L;

    @ApiParam("容器编号")
    private String ctNo;

    @ApiParam("包装物料")
    private String partNo;

    @ApiParam("批次")
    private String batch;

    @ApiParam("数量")
    private String batchQty;

}
