package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesPackageRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * 文件描述
 *
 * @author xiangming.liao
 * @date 2021年03月23日 14:16
 */
@Data
@ApiModel("容器信息model")
public class ContainerModel {
    @ApiParam("容器标准数量")
    private Double ctQty;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("已装数量")
    private Double usedCtQty;

    @ApiParam("包装记录")
    private List<MesPackageRecord> packageRecordList;

    //10=容器，20=包装
    @ApiParam("包装类型")
    private Integer packageType;

    @ApiParam("包装标志")
    private Boolean packFlag;
}
