package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/13 18:12
 **/
@ApiModel("手动生成生产工单DTO")
@Data
public class GenerateWorkOrderDto {

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    public String workCenterName;

    @ApiParam("返工计划数量")
    private Double planQty;

    @ApiParam("计划开始时间")
    private String startTime;

    @ApiParam("计划结束时间")
    private String endTime;

    @ApiParam("工单来源-手动/导入/sop")
    private String workOrderSource;

    @ApiParam("工单类型-正常/试制/返工")
    private Integer workOrderType;

    @ApiParam("工单状态")
    private Integer workOrderStatus;

    @ApiParam("备注")
    private String memo;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("Erp库存地")
    private String erpWarehouse;

}
