package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/3/1 13:31
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("组件返工包装信息")
public class JobBookingInfo {

    @ApiParam("完工数量")
    private Integer finishQty;
    @ApiParam("容器条码")
    private String ctNo;
    @ApiParam("物料编码")
    private String partNo;
    @ApiParam("产线")
    private String workCenterCode;
    @ApiParam("容器标准数量")
    private Double ctQty;
    @ApiParam("物料名称")
    private String partName;
    @ApiParam("工单号")
    private String orderNo;
    @ApiParam("机构代码")
    private String organizeCode;
}
