package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("编码配置MODEL")
public class MatchRuleCodeModel implements Serializable {

    private static final long serialVersionUID = 7931360936081406689L;

    @ApiParam("编码类型")
    private Integer codeType;

    @ApiParam("数量")
    private Integer count;

    @ApiParam("匹配类型")
    private Integer matchType;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("产品生产类型")
    private String pptCode;

    @ApiParam("分类1")
    private String categoryCode1;

    @ApiParam("分类2")
    private String categoryCode2;

    @ApiParam("分类3")
    private String categoryCode3;

    public MatchRuleCodeModel() {
    }

    public MatchRuleCodeModel(Integer codeType, Integer count) {
        this.codeType = codeType;
        this.count = count;
    }
}
