package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2023-01-12 11:37
 * @Modify:
 **/
@Data
@ApiModel("组托扫描包装或大包装model")
public class MesPackageOrBigPackageModel implements Serializable {


    private static final long serialVersionUID = 6167904506819706186L;
    @ApiParam("id")
    private Long id;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("批号")
    private String lotNo;

    @ApiParam("容器编号")
    private String ctNo;
}
