package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("缺件记录BOM MODEL")
public class MissingPartBomModel implements Serializable {

    private static final long serialVersionUID = 1239281170556428806L;

    @ApiParam("子零件")
    private String itemPartNo;

    @ApiParam("子零件名称")
    private String itemPartName;

    public MissingPartBomModel() {}

    public MissingPartBomModel(String itemPartNo, String itemPartName) {
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
    }
}
