package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("缺件记录 MODEL")
public class MissingPartDataModel implements Serializable {

    private static final long serialVersionUID = 6297386870448994350L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("用户信息")
    private String userInfo;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("BOM集合")
    private List<MissingPartBomModel> bomList;

    @ApiParam("缺件集合")
    private List<MissingPartBomModel> missingPartList;

}
