package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("总检验结果 MODEL")
public class OqcLastCheckParamModel implements Serializable {

    private static final long serialVersionUID = 6102116247615898694L;

    @ApiParam("产量统计出货检验ID")
    private Long id;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("备注")
    private String remark;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("总检测结果")
    private Integer checkResult;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("操作数据")
    private List<OqcLastCheckParamModel> modelList;

}
