package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("条码 MODEL")
public class ProduceSnRepairModel implements Serializable {

    private static final long serialVersionUID = 2662533667561677010L;

    @ApiParam("id")
    private Long id;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("返工工单号")
    private String workOrderNo;

    @ApiParam("初始工单号")
    private String initWorkOrderNo;

    @ApiParam("条码类型")
    private Integer snType;

    @ApiParam("出产线时间")
    private String outWorkCenterTime;

    @ApiParam("生产批次")
    private String lotNo;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("容器编码")
    private String ctNo;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("包装条码")
    private String packageNo;

    public ProduceSnRepairModel() {}

    public ProduceSnRepairModel(String serialNumber, String ctNo, String packageNo) {
        this.serialNumber = serialNumber;
        this.ctNo = ctNo;
        this.packageNo = packageNo;
    }
}
