package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-01-09 15:04
 */
@Data
@ApiModel("大本体条码关联条码履历 model")
public class ProduceSnTravelModel implements Serializable {

    private static final long serialVersionUID = -8097058400111271898L;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("扫描时间")
    private String modifyDatetime;

    public ProduceSnTravelModel(String serialNumber, String modifyDatetime) {
        this.serialNumber = serialNumber;
        this.modifyDatetime = modifyDatetime;
    }

    public ProduceSnTravelModel() {
    }
}
