package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesShiftExt;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("停开机记录MODEL")
public class ShiftProdCenterModel implements Serializable {

    private static final long serialVersionUID = -5204112722643428425L;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("班次开班时间")
    private String shiftStartTime;

    @ApiParam("班次结束时间")
    private String shiftEndTime;

    @ApiParam("作业人数")
    private Double workerQty;

    @ApiParam("班次集合")
    private List<MesShiftExt> shiftList;

    @ApiParam("停开机记录集合")
    private List<ShiftProdCenterRecordModel> shiftProdCenterRecordList;

    @ApiParam("班次开班时间(含日期)")
    private String shiftStartTimeYmdHms;

    @ApiParam("班次结束时间(含日期)")
    private String shiftEndTimeYmdHms;
}
