package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("班次作业内容信息MODEL")
public class ShiftProdModel implements Serializable {

    private static final long serialVersionUID = 4498156239155420257L;

    @ApiParam("ID")
    private Long id;

    @ApiParam("作业内容代码")
    private String prodCode;

    @ApiParam("作业内容名称")
    private String prodName;

    @ApiParam("作业内容分类")
    private Integer prodCategory;

    @ApiParam("是否作业时间")
    private Integer isProdTime;

    @ApiParam("作业类型")
    private Integer prodType;

    @ApiParam("计划比例")
    private Double planRate;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("作业内容分类")
    private String prodCategoryName;

    @ApiParam("是否作业时间")
    private String isProdTimeName;

    @ApiParam("作业类型")
    private String prodTypeName;

}
