package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
public class SxPrintTemplateModelIndia implements Serializable {
    private static final long serialVersionUID = -2724409395074389018L;

    @ApiParam("产品条码起始")
    private String snStartNum;

    @ApiParam("产品条码结束")
    private String snEndNum;

    @ApiParam("返回数据（质保书代码：产品条码）")
    private Map<String,String> dataList;

    @ApiParam("选中条码")
    private String prodSn;

    @ApiParam("质保书代码")
    private String qualityNo;

    @ApiParam("产品代码")
    private String printSn;

    @ApiParam("")
    private List<String> snList;
    @ApiParam("")
    private List<String> codeList;

    public SxPrintTemplateModelIndia(String snStartNum, String snEndNum, Map<String, String> dataList, String prodSn) {
        this.snStartNum = snStartNum;
        this.snEndNum = snEndNum;
        this.dataList = dataList;
        this.prodSn = prodSn;
    }

    public SxPrintTemplateModelIndia() {
    }
}
