package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("组件返工条码 MODEL")
public class SxSubassemblyRemadeDetailModel implements Serializable {

    private static final long serialVersionUID = -2611302779539355901L;

    @ApiParam("扫描条码")
    private String sn;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("容器条码")
    private String ctNo;

    @ApiParam("批次号")
    private String lotNo;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("原始生产工单")
    private String initWorkOrderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("原始生产线")
    private String initWorkCenterCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("初始包装数量")
    private Double initQty;

    @ApiParam("返工数量")
    private Double qty;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("扫描时间")
    private String scanDatetime;

}
