package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("组件返工 MODEL")
public class SxSubassemblyRemadeModel implements Serializable {

    private static final long serialVersionUID = 529866550456751445L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("条码")
    private String sn;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("当前返工总数量")
    private Double amountQty;

    @ApiParam("上一个条码")
    private String lastSn;

    @ApiParam("操作方式")
    private Integer actionType;

    @ApiParam("条码明细集合")
    private List<SxSubassemblyRemadeDetailModel> detailList;

}
