package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("称重管理作业 称重单据信息 MODEL")
public class WeighManageInfoModel implements Serializable {

    private static final long serialVersionUID = -150407510274003748L;

    @ApiParam("单据ID")
    private Long id;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("单据编号")
    private String orderJobNo;

    @ApiParam("参考标准重量")
    private Double standardWeight;

    @ApiParam("称重数量")
    private Double weighNum;

    @ApiParam("已记录个数")
    private Double finishWeighNum;

    @ApiParam("平均重量")
    private Double avgWeight;

    @ApiParam("上限值")
    private Double realUpLimit;

    @ApiParam("下限值")
    private Double realDownLimit;

    @ApiParam("右侧扫描框,重量")
    private Boolean scanReadOnlyFlag = false;

    @ApiParam("左下角确认纸箱")
    private Boolean confirmReadOnlyFlag = false;

}
