package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("称重管理作业 工单跟单据列表 MODEL")
public class WeighManageWorkOrderModel implements Serializable {

    private static final long serialVersionUID = -3690795979185514318L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("操作人")
    private String userInfo;

    //----------生产工单列表----------
    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("计划开始时间")
    private String startTime;

    //----------称重单据列表----------
    @ApiParam("单据ID")
    private Long id;

    @ApiParam("单据编号")
    private String orderJobNo;

    //生产工单号/物料编码/物料名称

    @ApiParam("单据时间")
    private String createDatetime;

}
