package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("工位打印队列MODEL")
public class WorkCellPrintQueueModel implements Serializable {

    private static final long serialVersionUID = 9072909287221702087L;

    @ApiParam("序号")
    private Integer index;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("来源生产线")
    private String workCenterCodeSource;

    @ApiParam("来源工位")
    private String workCellCodeSource;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("打印内容类型")
    private String printTypeName;

    @ApiParam("打印状态")
    private String printStatusName;

    @ApiParam("颜色")
    private String color;

}
