package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesEsopExt;
import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("SOP播放")
public class WorkOrderEsopReadModel implements Serializable {

    private static final long serialVersionUID = 6583160453920254021L;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("SOP集合")
    private List<MesEsopExt> esopExtList;

}
