package cn.estsh.i3plus.ext.mes.pcn.pojo.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xiangming.liao
 * @version 1.0
 * @date 2021/03/19
 **/
@Data
@ApiModel("工单信息model")
public class WorkOrderInfoModel implements Serializable {

    private static final long serialVersionUID = -2555079976255679494L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("创建人")
    private String createUser;

}
