package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/15 16:29
 **/
@ApiModel("生产工单查询DTO")
@Data
public class WorkOrderQueryDto {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("工单号")
    private  String orderNo;

    @ApiParam("物料号")
    private  String partNo;

    @ApiParam("工单状态")
    private  Integer workOrderStatus;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("条码生成状态")
    private Integer snCreateStatus;

    @ApiParam("计划开始时间起始")
    private String planStartTimeTo;

    @ApiParam("计划开始时间结束")
    private String planStartTimeFrom;

    @ApiParam("计划结束时间开始")
    private String planEndTimeTo;

    @ApiParam("计划结束时间结束")
    private String planEndTimeFrom;

    @ApiParam("生产工单类型")
    private Integer workOrderType;

//    @ApiParam("客户订单号")
//    private String customerOrderNo;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建开始时间")
    private String createStartTime;

    @ApiParam("创建结束时间")
    private String createEndTime;

    @ApiParam("创建开始时间")
    private String modifyStartTime;

    @ApiParam("创建结束时间")
    private String modifyEndTime;

    @ApiParam("计划开始时间开始")
    private String startTimeStart;

    @ApiParam("计划开始时间结束")
    private String startTimeEnd;

    @ApiParam("计划结束时间开始")
    private String endTimeStart;

    @ApiParam("计划结束时间结束")
    private String endTimeEnd;

    @ApiParam(value = "下达按钮编号")
    public String buttonCode;

    @ApiParam(value = "完成按钮编号")
    public String comButtonCode;

    @ApiParam("排序属性")
    public String orderByParam = "";
    @ApiParam(
            value = "排序类型，1 正序，2 倒序",
            example = "1"
    )
    public transient Integer ascOrDesc = 1;


}
