package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-10-14 9:43
 */
@Data
@ApiModel("BU报错信息 MODEL")
public class BuErrorMessageModel implements Serializable {

    private static final long serialVersionUID = 440997772342144577L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("成品物料编码")
    private String partNo;

    @ApiParam("成品物料名称")
    private String partNameRdd;

    @ApiParam("原材料物料编码")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam("报错信息")
    private String errorMessage;

    @ApiParam("报错工步代码")
    private String errorStepCode;

    @ApiParam("报错工步名称")
    private String errorStepName;

    @ApiParam("扫描内容")
    private String scanInfo;
}
