package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU条码 MODEL")
public class BuOqcProduceSnModel implements Serializable {

    private static final long serialVersionUID = 8547083671121041211L;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("最终工单号")
    private String lastWorkOrderNo;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("质量状态")
    private Integer qcStatus;

    @ApiParam("条码状态")
    private Integer snStatus;

    @ApiParam("出产线时间")
    private String outWorkCenterTime;

    @ApiParam("产线代码")
    private String workCenterCode;

    public BuOqcProduceSnModel() {}

    public BuOqcProduceSnModel(String serialNumber, String workOrderNo, Integer qcStatus, Integer snStatus, String outWorkCenterTime, String lastWorkOrderNo, String packageNo, String workCenterCode) {
        this.serialNumber = serialNumber;
        this.workOrderNo = workOrderNo;
        this.qcStatus = qcStatus;
        this.snStatus = snStatus;
        this.outWorkCenterTime = outWorkCenterTime;
        this.lastWorkOrderNo = lastWorkOrderNo;
        this.packageNo = packageNo;
        this.workCenterCode = workCenterCode;
    }
}
