package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("作业指导书MODEL")
public class SxEsopCenterModel implements Serializable {

    private static final long serialVersionUID = -6349424808100708690L;

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("操作人")
    private String modifyUser;

    @ApiParam("页面行为:查询=1,自动切替=2,手动切替=3")
    private Integer actionType;

    @ApiParam("手动切替方式:上=1,下=2")
    private Integer handFlag;

}
