package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :返工范围MODEL
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Api("返工范围MODEL")
public class SxReworkRangeModel implements Serializable {

    private static final long serialVersionUID = 5527091893308865228L;

    @ApiParam("初始工单号")
    private String workOrderNo;

    @ApiParam("返工工单号")
    private String reworkOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("大包装条码")
    private String outerPackageNo;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("下线时间")
    private String outWcTime;

    @ApiParam("关联状态")
    private Integer bindStatus;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
