package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2023-06-29 16:46
 */
@Data
@Api("返工范围查询MODEL")
public class SxReworkRangeQueryModel {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("关联状态")
    private Integer bindStatus;

    @ApiParam("物料编码集合")
    private List<String> partNoList;

    public SxReworkRangeQueryModel(String organizeCode, Integer bindStatus, List<String> partNoList) {
        this.organizeCode = organizeCode;
        this.bindStatus = bindStatus;
        this.partNoList = partNoList;
    }

    public SxReworkRangeQueryModel() {
    }
}
