package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-14 19:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("设备点检和设备信息MODEL")
public class EpEquipmentModel implements Serializable {

    private static final long serialVersionUID = -5513777988143145499L;
    @ApiParam("单据编号")
    private String orderJobNo;

    @ApiParam("设备编号")
    private String equNo;

    @ApiParam("设备名称")
    private String equName;

    @ApiParam("机种字段备注")
    private String memo;
}
