package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("EP生产数据复核model")
public class EpProductDataReviewModel {

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("合格标准描述")
    private String needNum;

    @ApiParam("实际检测次数")
    private String checkTimes;

    @ApiParam("末检是否合格")
    private String lastDataResult;

    @ApiParam("实际有效数量")
    private String realNum;

    @ApiParam("是否合格标识")
    private Integer reviewFlag;

    @ApiParam("是否合格")
    private String reviewResult;

    @ApiParam("显示标识")
    private Integer showFlag;

    @ApiParam("颜色")
    private String color;

}
