package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxPutPalletModuleModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP装托PLC读取数据MODEL")
public class EpPutPalletPlcDataModel implements Serializable {

    private static final long serialVersionUID = 2427504331939571030L;

    @ApiParam("容器代码")
    private String ctNo;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("读取时间")
    private String readDatetime;

    @ApiParam("有效状态")
    private Boolean boo;

    @ApiParam("验证状态")
    private Boolean isCheck;

    @ApiParam("产品数据")
    private SxPutPalletModuleModel putPalletModuleModel;

}
