package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @PROJECT_NAME:
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2021-12-20 13:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("工位不良明细MODEL")
public class EpQmsBadCellDetailModel implements Serializable {

    private static final long serialVersionUID = -3225094524535792146L;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("原材料物料编码")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam(value = "生产线代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    private String workCellCode;

    @ApiParam("不良时间")
    private String defectActionTime;

    @ApiParam("不良类型代码")
    private String defectType;

    @ApiParam("不良类型描述")
    private String defectTypeName;

    @ApiParam("不良标识代码")
    private String defectCode;

    @ApiParam("不良标识描述")
    private String defectName;

    @ApiParam("发生岗位")
    private String happenStation;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("不良时间起始")
    private String defectActionTimeStart;

    @ApiParam("不良时间截止")
    private String defectActionTimeEnd;

    @ApiParam("上年度不良时间起始")
    private String lastDefectActionTimeStart;

    @ApiParam("上年度良时间截止")
    private String lastDefectActionTimeEnd;

}
