package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME:
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2021-12-14 19:31
 */
@Data
@ApiModel("RFID执行MODEL")
public class EpRfidDispatchModel implements Serializable {

    private static final long serialVersionUID = -5359507360896965208L;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("IP")
    private String ip;

    @ApiParam("PORT")
    private Integer port;

    @ApiParam("存储区")
    private Integer mem;

    @ApiParam("数据长度")
    private Byte len;

    @ApiParam("睡眠时间")
    private Long time = 100L;

    public EpRfidDispatchModel() {
    }

    public EpRfidDispatchModel(String workCenterCode, String workCellCode, String ip, Integer port, Integer mem, Byte len, Long time) {
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.ip = ip;
        this.port = port;
        this.mem = mem;
        this.len = len;
        this.time = time;
    }
}
