package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-28 16:52
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("条码绑定工单工单MODEL")
public class EpSnBindOrderWorkOrderModel implements Serializable {

    private static final long serialVersionUID = -3922701591105988722L;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("工单类型")
    public Integer workOrderType;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("生产区域代码")
    private String areaCode;

    @ApiParam("绑定数量")
    private Double bindQty;
}
