package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-20 13:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("生产线立库配置MODEL")
public class WorkCenterMovtrnCfgModel implements Serializable {

    private static final long serialVersionUID = 5235246535008279431L;

    @ApiParam("id")
    private String idStr;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("是否删除")
    private Integer isDeleted;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("是否入库")
    private String status;

    @ApiParam("是否入库")
    private String statusName;

}
