package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesAntiStaticCheckDetail;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/5 15:41
 **/
public interface IAntiStaticCheckDetailService {
    /**
     * 新增
     * @param detail
     * @return
     */
    MesAntiStaticCheckDetail insert(MesAntiStaticCheckDetail detail);

    /**
     * 修改
     *
     * @param antiStaticCheckDetail
     * @return
     */
    void update(MesAntiStaticCheckDetail antiStaticCheckDetail);

    /**
     * 查询
     * @param detail
     * @param pager
     * @return
     */
    ListPager<MesAntiStaticCheckDetail> queryByPager(MesAntiStaticCheckDetail detail, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


    List<String> queryCell(String orderNo, String organizeCode);

    //List<String> queryProcessCodeList(String orderNo, String organizeCode);
}
