package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesBom;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface IBomExtService {

    /**
     * 根据物料编码获取物料BOM信息集合
     * @param organizeCode 组织代码
     * @param partNo 物料编码
     * @return 物料BOM信息集合
     */
    @ApiOperation(value = "根据物料编码获取物料BOM信息集合", notes = "根据物料编码获取物料BOM信息集合")
    List<MesBom> getBomListByPartNo(String organizeCode, String partNo);
}
