package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesNumberRuleExt;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface INumberRuleExtService {

    /**
     * 根据规则代码获取规则编码信息
     * @param organizeCode
     * @param ruleCode
     * @return
     */
    @ApiOperation(value = "根据规则代码获取规则编码信息", notes = "根据规则代码获取规则编码信息")
    MesNumberRuleExt getNumberRuleExtByRuleCode(String organizeCode, String ruleCode);
}
