package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesProjectTourDetail;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/02/04 19:25
 * @Description:
 **/
public interface IProjectTourConfirmService {
    /**
     * 查询工程巡回确认明细
     *
     * @param projectTourDetail
     * @return
     */
    @ApiOperation(value = "查询工程巡回确认明细", notes = "查询工程巡回确认明细")
    List<MesProjectTourDetail> queryProjectTourConfirm(MesProjectTourDetail projectTourDetail);

    /**
     * 工程巡回确认作业
     *
     * @param projectTourDetail
     * @return
     */
    @ApiOperation(value = "工程巡回确认作业", notes = "工程巡回确认作业")
    void updateProjectTourConfirm(MesProjectTourDetail projectTourDetail);

}
