package cn.estsh.i3plus.ext.mes.pcn.api.base.bu;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesProductPrintType;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: xinwang.yi
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface IMesProductPrintTypeService {

    /**
     * 根据物料编码、打印类型获取产品打印类型表信息
     *
     * @param partNo 物料编码
     * @param printType 打印类型
     * @return 产品打印类型数据
     */
    @ApiOperation(value = "根据物料编码、打印类型获取产品打印类型表信息", notes = "根据物料编码、打印类型获取产品打印类型表信息")
    MesProductPrintType queryProdPrintTypeByPartNoAndPrintType(String partNo, Integer printType, String organizeCode);
}
