package cn.estsh.i3plus.ext.mes.pcn.api.base.bu3;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesPartCategoryPlanRate;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISxPartCategoryPlanRateService {

    /**
     * 获取产品类别计划比例信息
     * @param organizeCode 组织代码
     * @return 产品类别计划比例信息
     */
    @ApiOperation(value = "获取产品类别计划比例信息", notes = "获取产品类别计划比例信息")
    List<MesPartCategoryPlanRate> getPartCategoryPlanRateList(String organizeCode);

    /**
     * 获取产品别数据
     * @param organizeCode
     * @return
     */
    @ApiOperation(value = "获取产品别数据", notes = "获取产品别数据")
    Map<String, String> getCategoryMap(String organizeCode);

}
