package cn.estsh.i3plus.ext.mes.pcn.api.base.ep;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesBom;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-29 13:52
 */
public interface IEpBomExtService {
    /**
     * 根据物料编码获取物料BOM信息集合，并分页显示
     * @param organizeCode 组织代码
     * @param partNo 物料编码
     * @return 物料BOM信息集合
     */
    ListPager<MesBom> getBomListByPartNoAndPager(String organizeCode, String partNo, String itemPartNo, String itemPartName, Pager pager);
}
