package cn.estsh.i3plus.ext.mes.pcn.api.base.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpOrderJobModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IEpMesOrderJobService {

    /**
     * 按条件查找创建、点检中的单据作业
     *
     * @param orderJob
     * @return
     */
    List<EpOrderJobModel> queryMesOrderJob(EpOrderJobModel orderJob);

    /**
     * 修改单据作业状态
     *
     * @param id
     * @param orderStatus
     * @return
     */
    int orderJobUpdateOrderStatus(long id, Integer orderStatus, String organizeCode, String modifyUser);

    /**
     * 根据id批量修改单据状态
     *
     * @param idsStr
     * @param orderStatus
     * @param organizeCode
     * @param modifyUser
     * @return
     */
    @ApiOperation(value = "根据id批量修改单据状态", notes = "根据id批量修改单据状态")
    int updateOrderStatusByIds(String[] idsStr, Integer orderStatus, String organizeCode, String modifyUser);

}