package cn.estsh.i3plus.ext.mes.pcn.api.base.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesHappenStation;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxHappenStationModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

public interface IHappenStationService {

    /**
     * 查询发生岗位分页数据
     * @param happenStation 查询条件
     * @param pager 分页条件
     * @return 发生岗位分页数据
     */
    @ApiOperation(value = "查询发生岗位分页数据", notes = "查询发生岗位分页数据")
    ListPager<MesHappenStation> queryByPager(MesHappenStation happenStation, Pager pager);

    /**
     * 查询发生岗位分页数据
     * @param happenStation 查询条件
     * @param pager 分页条件
     * @return 发生岗位分页数据
     */
    @ApiOperation(value = "查询发生岗位分页数据", notes = "查询发生岗位分页数据")
    ListPager<SxHappenStationModel> queryByPager(SxHappenStationModel happenStation, Pager pager);
}
