package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxSubassemblyRemadeDetailModel;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISxSubassemblyRemadeStrategyService {

    /**
     * 组件返工查询条码
     * @param organizeCode 组织代码
     * @param sn 包装条码/容器条码
     * @param workOrderNo 返工组件工单
     * @param partNo 返工组件工单的物料编码
     * @param workCenterCode 返工生产线
     * @return 条码数据
     */
    @ApiOperation(value = "组件返工查询条码", notes = "组件返工查询条码")
    SxSubassemblyRemadeDetailModel querySubassemblyRemadeSn(String organizeCode, String sn, String workOrderNo, String partNo, String workCenterCode);

}
