package cn.estsh.i3plus.ext.mes.pcn.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3.SxEsopCenterDataModel;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISxEsopCenterActionService {

    /**
     * BU三期工位端ESOP-操作
     * @param data 查询条件
     * @return esop数据
     */
    @ApiOperation(value = "BU三期工位端ESOP-操作", notes = "BU三期工位端ESOP-操作")
    SxEsopCenterDataModel exec(SxEsopCenterDataModel data);

    default void check(SxEsopCenterDataModel data) {};

}
