package cn.estsh.i3plus.ext.mes.pcn.api.busi.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpQmsBadCellDetailModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/13 9:27
 **/
public interface IEpBadCellDetailService {

    /**
     * EP-获取工位不良明细信息数据
     * @param badCellDetailModel 查询条件
     * @param partNoList 物料编码集合
     * @return 工位不良明细信息数据
     */
    @ApiOperation(value = "EP-获取工位不良明细信息数据", notes = "EP-获取工位不良明细信息数据")
    List<EpQmsBadCellDetailModel> queryEpBadCellDetailList(EpQmsBadCellDetailModel badCellDetailModel, List<String> partNoList);
}
