package cn.estsh.i3plus.ext.mes.pcn.api.busi.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpQmsOutPutStatisticsModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/13 9:27
 **/
public interface IEpOutPutStatisticsService {

    /**
     * EP-获取产量信息数据
     * @param model 查询条件
     * @param partNoList 物料编码集合
     * @return 产量信息数据
     */
    @ApiOperation(value = "EP-获取维修作业单信息数据", notes = "EP-获取维修作业单信息数据")
    List<EpQmsOutPutStatisticsModel> queryEpQmsOutPutStatisticsList(EpQmsOutPutStatisticsModel model, List<String> partNoList);
}
