package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesExteriorScratchProofDetail;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesExteriorScratchProofDetailModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/22 17:33
 * @Description:
 **/
public interface IExteriorScratchProofDetailDao {

    /**
     * 查询外观防划伤明细详情
     *
     * @param orderNo
     * @param organizeCode
     * @return
     */
    @ApiOperation(value = "查询外观防划伤明细详情", notes = "查询外观防划伤明细详情")
    List<MesExteriorScratchProofDetailModel> queryExteriorScratchProofDetail(String orderNo, String organizeCode, String workCellCode);
}
