package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.OqcLastCheckModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IOutPutStatisticsDao {

    /**
     * 查询总检验结果数量
     * @param model 查询信息
     * @return 总检验结果数量
     */
    int queryOutPutStatisticsOqcByPagerCount(OqcLastCheckModel model);

    /**
     * 查询SOP信息集合
     * @param model 查询信息
     * @param pager 分页条件
     * @return SOP信息集合
     */
    List<OqcLastCheckModel> queryOutPutStatisticsOqcByPager(OqcLastCheckModel model, Pager pager);
}
