package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ProduceSnTravelModel;

import java.util.List;

/**
 * @Author: Xinwang.Yi
 * @CreateDate: 2021/01/09 11:28 上午
 * @Description:
 **/
public interface IProduceSnTravelDao {

    /**
     * 根据工位、过程编码、工单号查询条码履历数据
     * @param workCellCode 工位
     * @param workCenterCode 产线
     * @param workOrderNo 工单号
     * @return
     */
    List<ProduceSnTravelModel> queryProduceSnTravel(String organizeCode, String workCellCode, String workCenterCode, String workOrderNo);
}
