package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.bu;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu.BuOqcProduceSnModel;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IBuProduceSnRepairDao {

    /**
     * 根据包装条码,生产工单号查询出货检验返工产品条码集合
     * @param organizeCode 组织代码
     * @param workOrderNo 生产工单号
     * @param workTime 生产日期
     * @param shiftCode 班次代码
     * @return 查询产品条码集合
     */
    List<BuOqcProduceSnModel> querySnRepairListByOrderNoAndWorkTime4Oqc(String organizeCode, String workOrderNo, String workTime, String shiftCode);

}
