package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.bu3;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3.InnerPackageModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IOuterPackageDao {

    /**
     * 根据大包装条码查询大包装条码跟包装条码的关联关系集合
     * @param organizeCode 组织代码
     * @param outerPackageNo 大包装条码
     * @return
     */
    @ApiOperation(value = "根据大包装条码查询大包装条码跟包装条码的关联关系集合", notes = "根据大包装条码查询大包装条码跟包装条码的关联关系集合")
    List<InnerPackageModel> getPackageListByOuterPackageNo(String organizeCode, String outerPackageNo);

}
