package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.bu3;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3.SxPackSnReportModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: xinwang.yi
 * @CreateDate: 2023/06/27 11:28 上午
 * @Description:
 **/
public interface ISxBuPackageExtDao {

    /**
     * 查询正常工单包装条码集合
     * @param model 查询条件
     * @return 正常条码信息集合
     */
    @ApiOperation(value = "查询正常工单包装条码集合", notes = "查询正常工单包装条码集合")
    List<SxPackSnReportModel> queryStandardWorkOrderPackSnList(SxPackSnReportModel model);

}
