package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesBadCellDetail;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpQmsBadCellDetailModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IEpBadCellDetailDao {

    /**
     * 查询工位不良明细集合
     * @param model 查询条件
     * @return 工位不良明细集合
     */
    @ApiOperation(value = "查询工位不良明细集合", notes = "查询工位不良明细集合")
    List<MesBadCellDetail> queryEpQmsBadCellDetailList(EpQmsBadCellDetailModel model);

}
