package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesRepairTask;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpQmsRepirTaskModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IEpRepairTaskDao {

    /**
     * 查询维修作业单集合
     * @param model 查询条件
     * @return 维修作业单集合
     */
    @ApiOperation(value = "查询维修作业单集合", notes = "查询维修作业单集合")
    List<MesRepairTask> queryEpQmsRepairTaskList(EpQmsRepirTaskModel model);

}
