package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.step.bu;

import cn.estsh.i3plus.mes.pcn.serviceimpl.base.BaseStepService;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import cn.estsh.i3plus.pojo.mes.model.StepResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 工步业务-页面刷新中转工步，直接返回SuccessComplete
 * @Reference :
 * @Author : steven.peng
 * @CreateDate : 2023-01-28
 * @Modify:
 **/
@Slf4j
@Service("sxnnerPackageDealStepService")
public class SxnnerPackageDealStepService extends BaseStepService {
    @Override
    public StepResult execute(StationRequestBean reqBean) {
        log.info("sxnnerPackageDealStepService[execute] 参数：{}", reqBean);
        return StepResult.getSuccessComplete();
    }

}
