//package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.step.jx;
//
//import cn.estsh.i3plus.ext.mes.pcn.api.base.ISxWorkOrderExtService;
//import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;
//import cn.estsh.i3plus.ext.mes.pcn.pojo.repository.MesWorkOrderExtRepository;
//import cn.estsh.i3plus.ext.mes.pcn.pojo.util.ConvertBeanExt;
//import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtEnumUtil;
//import cn.estsh.i3plus.mes.pcn.serviceimpl.base.BaseStepService;
//import cn.estsh.i3plus.mes.pcn.util.LocaleUtil;
//import cn.estsh.i3plus.platform.common.convert.ConvertBean;
//import cn.estsh.i3plus.pojo.base.enumutil.MesPcnEnumUtil;
//import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
//import cn.estsh.i3plus.pojo.mes.model.StationResultBean;
//import cn.estsh.i3plus.pojo.mes.model.StepResult;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.util.StringUtils;
//
///**
// * @Description : 工步业务-累加条码绑定数量工步
// * @Reference :
// * @Author : xinwang.yi
// * @CreateDate : 2023-10-16
// * @Modify:
// **/
//@Slf4j
//@Service("sxNoumenonSnOnlineCompleteStepService")
//public class SxNoumenonSnOnlineCompleteStepService extends BaseStepService {
//
//    @Autowired
//    private ISxWorkOrderExtService workOrderExtService;
//
//    @Autowired
//    private MesWorkOrderExtRepository workOrderExtRepository;
//
//    @Override
//    public StepResult execute(StationRequestBean reqBean) {
//        log.info("sxNoumenonSnOnlineCompleteStepService[execute] 参数：{}", reqBean);
//
//        StationResultBean resultBean = new StationResultBean();
//        String err;
//
//        if (StringUtils.isEmpty(reqBean.getOrganizeCode())) {
//            err = LocaleUtil.transferLanguage(reqBean.getUserInfo(), "入参缺少工厂代码");
//            this.sendMessage(reqBean, resultBean, err, MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//            foundExThrowNoShowMsg();
//        }
//
//        if (StringUtils.isEmpty(reqBean.getWorkOrderNo())) {
//            err = LocaleUtil.transferLanguage(reqBean.getUserInfo(), "入参缺少生产工单号");
//            this.sendMessage(reqBean, resultBean, err, MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//            foundExThrowNoShowMsg();
//        }
//
//        MesWorkOrderExt workOrderExt = workOrderExtService.getWorkOrderExtByOrderNo(reqBean.getOrganizeCode(), reqBean.getWorkOrderNo());
//        if (null == workOrderExt) {
//            err = String.format(LocaleUtil.transferLanguage(reqBean.getUserInfo(), "生产工单号[%s]无效"), reqBean.getWorkOrderNo());
//            this.sendMessage(reqBean, resultBean, err, MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//            foundExThrowNoShowMsg();
//        }
//
//
//        ConvertBean.serviceModelUpdate(workOrderExt, reqBean.getUserInfo());
//        workOrderExt.setSystemSyncStatus(MesPcnExtEnumUtil.IF_SYNC_STATUS.NO_SYNC.getValue());
//        new ConvertBeanExt(workOrderExt).convertBean(workOrderExt);
//        workOrderExtRepository.save(workOrderExt);
//
//        return StepResult.getSuccessComplete();
//    }
//
//}
