package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/29 13:58
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_AFFILIATED_START_CONFIG")
@Api("MES_附属启动类配置")
public class MesAffiliatedStartConfig extends BaseBean implements Serializable {
    private static final long serialVersionUID = -1969988008403835488L;
    @Column(
            name = "AFFILIATED_START_CLASS",
            nullable = false
    )
    @ApiParam("附属启动类名")
    private String affiliatedStartClass;
    @Column(
            name = "EXECUTE_DESC",
            nullable = false
    )
    @ApiParam("执行描述")
    private String executeDesc;

    @Column(
            name = "BUSINESS_TYPE"
    )
    @ApiParam("业务类型")
    private String businessType;
}
