package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/7 13:31
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FOUR_M_MANAGE")
@Api("MES_4M管理表")
public class MesFourMManage extends BaseBean implements Serializable {


    private static final long serialVersionUID = -8678110518622417828L;


    @Column(
            name = "MANAGE_TYPE"
    )
    @ApiParam("管理类型")
    private Integer manageType;
    @Column(
            name = "MANAGE_CODE"
    )
    @ApiParam("项目管理代码")
    private String manageCode;

    @Column(
            name = "MANAGE_CONTENT"
    )
    @ApiParam("项目管理内容")
    private String manageContent;

}
