package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/26 14:05
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_JOB_BOOKING_PART")
@Api("MES_包装报工信息")
public class MesJobBookingPart extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8013952678237706474L;

    @ApiParam("工单号")
    @Column(name = "ORDER_NO")
    private String orderNo;

    @ApiParam("包装物料")
    @Column(name = "PART_NO")
    private String partNo;

    @ApiParam("物料名称")
    @Column(name = "PART_NAME")
    private String partName;

    @ApiParam("数量")
    @Column(name = "PART_QTY")
    private String partQty;

    @ApiParam("组号")
    @Column(name = "SET_NO")
    private String setNo;


}
