package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Inheritance(
        strategy = InheritanceType.JOINED
)
@Table(
        name = "MES_TEAM_MANAGEMENT_INTRODUCE"
)
@Api("团队管理介绍")
public class MesTeamManagementIntroduce extends BaseBean implements Serializable {
    private static final long serialVersionUID = -4077325238547355810L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "产线代码")
    private String workCenterCode;

    @Column(name = "TEAM_SLOGAN")
    @ApiParam(value = "团队口号")
    private String teamSlogan;

    @Column(name = "TEAM_YEAR_TARGET")
    @ApiParam(value = "团队年度目标")
    private String teamYearTarget;

}
