package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesContainerJobBooking;
import cn.estsh.i3plus.pojo.mes.bean.MesPackage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/3/1 15:26
 **/
@Data
@ApiModel("包装信息")
public class ContainerInfo {

    @ApiParam("容器标准数量")
    private Integer ctQty;

    @ApiParam("物料编号")
    private String partNo;

    @ApiParam("已用数量")
    private Integer usedCtQty;

    @ApiParam("包装信息")
    private List<MesContainerJobBooking> packages;
}
