package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 报工model
 * @Author: shun.cui
 * @date: 2021/5/7  15:10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("返工报工")
public class MesWorkOverModel implements Serializable {
    @ApiParam("生产工单号")
    private String workOrderNo;
    @ApiParam("生产线")
    private String pdlineNo;
    @ApiParam("物料编码")
    private String itemPartNo;
    @ApiParam("子物料单位")
    private String itemUnit;
    @ApiParam("子物料名称")
    private String itemPartName;
    @ApiParam("数量")
    private Integer qty;

}
