package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("异常下线补件确认 MODEL")
public class MissingPartFreConfirmModel implements Serializable {

    private static final long serialVersionUID = 4921973117322262951L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("工单序号")
    private Double seq;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("缺件数量")
    private Double missingQty;

    @ApiParam("异常下线集合")
    private List<ErrorLineOffModel> errorLineOffList;
}
