package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("打印记录MODEL")
public class PrintRecordDetailModel implements Serializable {

    private static final long serialVersionUID = -7177633452506974149L;

    @ApiParam("来源模块")
    private String sourceModule;

    @ApiParam("打印时间")
    private String printDatetime;

    @ApiParam("打印人")
    private String printUser;

    @ApiParam("标签类型")
    private Integer tagType;

    @ApiParam("标签类型名称")
    private String tagTypeName;

    @ApiParam("条码")
    private String sn;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("打印次数")
    private Integer printCount;

}
