package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;
import cn.estsh.i3plus.pojo.mes.model.MesButtonFlagModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xiangming.liao
 * @version 1.0
 * @date 2021/3/07
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("返修用工单model")
public class RepairWorkOrderModel {
    private static final long serialVersionUID = -5129010724793554312L;

    @ApiParam("工单集合")
    private MesWorkOrderExt mesWorkOrderExt;

    @ApiParam("产品条码")
    private String serialNumber;
}
