package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("产品条码与包装条码关联关系 MODEL")
public class SnAndPackageNoCorrelationModel implements Serializable {

    private static final long serialVersionUID = -8462111676293277143L;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("扫码时间")
    private String createDatetime;

    @ApiParam("产品条码")
    private String serialNumber;

    public SnAndPackageNoCorrelationModel() {}

    public SnAndPackageNoCorrelationModel(String workOrderNo, String packageNo, String createDatetime, String serialNumber) {
        this.workOrderNo = workOrderNo;
        this.packageNo = packageNo;
        this.createDatetime = createDatetime;
        this.serialNumber = serialNumber;
    }
}
