package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("本体装托展示组件MODEL")
public class SxPutPalletModuleModel implements Serializable {

    private static final long serialVersionUID = 9216745726253459270L;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("批次号")
    private String lotNo;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("扫描时间")
    private String scanDatetime;

    @ApiParam("容器代码")
    private String ctNo;

    //小包装条码
    @ApiParam("idStr")
    private String idStr;

    //大包装条码
    @ApiParam("idStrList")
    private List<String> idStrList;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("工单号")
    private String workOrderNo;

}
