package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/3/23 11:07
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("总检验结果")
public class TotalCheckResult {
    @ApiParam
    private Long id;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次完工数")
    private Double qty;

    @ApiParam("抽检数量")
    private Double spotCheckQty;

    @ApiParam("检测范围")
    private Double checkLimit;

    @ApiParam("总检测单号")
    private String checkNo;

    @ApiParam("总检测结果")
    private Integer checkResult;

    @ApiParam("确认时间")
    private String confirmTime;

    @ApiParam("检测人员")
    private String checkUser;


}
