package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("称重管理作业 称重单据信息 MODEL")
public class WeighManageInfoDetailModel implements Serializable {

    private static final long serialVersionUID = -6494539485570458866L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("单据ID")
    private Long id;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("单据编号")
    private String orderJobNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("重量")
    private Double realWeigh;

    @ApiParam("记录时间")
    private String createDatetime;

    @ApiParam("颜色")
    private String color;

}
