package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("产线托盘位置MODEL")
public class WorkCenterContainerLocationModel implements Serializable {

    private static final long serialVersionUID = -521854215912062331L;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("容器位置编号")
    private String ctLocationNo;

    @ApiParam("容器位置描述")
    private String locationDesc;

    @ApiParam("容器编号")
    private String ctNo;

    @ApiParam("是否选中")
    private Boolean isSelect = false;

}
