package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("停开机记录MODEL")
public class AndonShiftProdCenterRecordModel implements Serializable {

    private static final long serialVersionUID = 5784247980100779356L;

    @ApiParam("安灯队列编号")
    private String andonOrderNo;

    @ApiParam("ID")
    private Long id;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("作业内容代码")
    private String prodCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("作业内容名称")
    private String prodName;

    @ApiParam("作业内容分类")
    private Integer prodCategory;

    @ApiParam("是否作业时间")
    private Integer isProdTime;

    @ApiParam("作业类型")
    private Integer prodType;

    @ApiParam("作业人数")
    private Double workerQty;

    @ApiParam("备注")
    private String memo;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

}
