package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * @PROJECT_NAME:
 * @DESCRIPTION:
 * @USER: steven.peng
 * @DATE: 2023.01.12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("小包装条码记录MODEL")
public class InnerPackageRecordModel implements Serializable {

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("组织机构代码")
    private String organizeCode;

    @ApiParam("条码类型")
    private Integer snType;

    @ApiParam("创建时间")
    private String createTime;

}
