package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxPrintTemplateModelIndia;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@ApiModel("印尼向质保书补打model")
public class QualityAssureIndiaModel implements Serializable {

    private static final long serialVersionUID = -9036136359457255768L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("产品条码起始")
    private String snStartNum;

    @ApiParam("产品条码结束")
    private String snEndNum;

    @ApiParam("选中条码")
    private String prodSn;

    @ApiParam("")
    private SxPrintTemplateModelIndia indiaModel;
}
