package cn.estsh.i3plus.ext.mes.pcn.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("包装条码 MODEL")
public class InnerPackageModel implements Serializable {

    private static final long serialVersionUID = 79066040029729767L;

    @ApiParam("生产工单号")
    private String workOrderNo ;

    @ApiParam("包装编码")
    private String packageNo ;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("包装标签模板")
    private String packageLabelTemplate;

    public InnerPackageModel(String workOrderNo, String packageNo, String partNo, String partNameRdd, String workCenterCode, String packageLabelTemplate) {
        this.workOrderNo = workOrderNo;
        this.packageNo = packageNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.workCenterCode = workCenterCode;
        this.packageLabelTemplate = packageLabelTemplate;
    }

    public InnerPackageModel() {
    }
}
