package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import cn.estsh.i3plus.pojo.mes.model.ProductDataModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("EP生产数据model")
public class EpProductDataModel {

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("字段名称")
    private List<ProductDataModel> productDataModelList;

    @ApiParam("行号")
    private String rowNo;

    @ApiParam("是否必须是合格")
    private Boolean isNecessary = false;

}
