package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-27 16:31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("条码绑定工单MODEL")
public class EpSnBindOrderModuleModel implements Serializable {

    private static final long serialVersionUID = 34350746129331491L;
    @ApiParam("条码")
    private String serialNumber;

    @ApiParam("操作数量")
    private Double operateQty;

    @ApiParam("作业类型名称")
    private String prodTypeName;

    @ApiParam("创建日期")
    public String createDatetime;


}
