package cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验MODEL")
public class SxEpOqcManageModel implements Serializable {

    private static final long serialVersionUID = 7844430340956211239L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("工单类型")
    private String workOrderTypeName;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("生产数量")
    private Double completeQty;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("一个包装对应的多个产品条码集合")
    private List<String> serialNumberList;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("下线产品集合")
    private List<Map<String, String>> prodMapList;

}
